/**
 * Implementation of class "KeyValue".
 *
 * Author: Stefan Buettcher
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 **/

package helperclasses;

/*****
 * The class <tt>KeyValue</tt> simply contains two variables:
 * <tt>key</tt> and <tt>value</tt>, representing a key-value pair.
 *****/
public class KeyValue {
  /** The meaning is obvoius. **/
  public String key;
  /** The meaning is obvious. **/
  public Object value;

  public KeyValue(String aKey, Object aValue) {
    key = aKey;
    value = aValue;
  }

  public String toString() {
    return key + "=" + value.toString();
  }

} // end of class KeyValue
