package examples.hospitalmod;

import ga.*;
import java.util.*;

public class HospitalMod extends GeneticIndividual {
  private ArrayList people;


  public HospitalMod() {
    init();
  }

  private void init() {
    people = new ArrayList();
    people.add(new Employee("1200", 38.5, true, false, false));
    people.add(new Employee("1201", 38.5, true, false, false, false));
    people.add(new Employee("1202", 38.5, true, false, false, false));
    people.add(new Employee("1203", 38.5, false, false, false, true));
    people.add(new Employee("1204", 38.5, true, false, false, false));
    people.add(new Employee("1205", 38.5, true, true, false, false));
    people.add(new Employee("1206", 38.5, true, true, false, false));
    people.add(new Employee("1207", 38.5, true, true, false, false));
    people.add(new Employee("1208", 38.5, true, true, false, false));
    people.add(new Employee("1209", 38.5, true, true, false, false));
    people.add(new Employee("1209", 38.5, true, true, false, false));
    people.add(new Employee("1210", 38.5, true, false, false, false));
    people.add(new Employee("1211", 38.5, true, true, false, false));
    people.add(new Employee("1212", 38.5, true, false, false, false));
    people.add(new Employee("1213", 38.5, false, false, true, false));
    people.add(new Employee("1214", 38.5, true, true, false, false));
    people.add(new Employee("1215", 38.5, true, true, false, false));
    people.add(new Employee("1217", 38.5, false, false, true, false));
    people.add(new Employee("1218", 38.5, true, true, false, false));
    people.add(new Employee("1220", 38.5, true, false, false, true));
    people.add(new Employee("1221", 38.5, false, false, true, false));
    people.add(new Employee("1222", 38.5, true, false, false, true));

    
  }

} // end of class HospitalMod

class Shift {
  public String name;
  public Function functions[];

  public Shift(String aName) {
    name = aName;
    functions = new Function[4];
    function[0] = new Function("EXA");
    function[1] = new Function("INTENS");
    function[2] = new Function("HILFSKRAFT");
    function[3] = new Function("LEITUNG");
  }

}

class Function {
  // 5 types of functions: EXA, INTENS, HILFSKRAFT, LEITUNG, PRAKTIKANT
  public String name;
  int min, target, max;
  ArrayList employees;

  public Function(String aName, int aMin, int aTarget, int aMax) {
    name = aName;
    min = aMin;
    target = aTarget;
    max = aMax;
    employees = new ArrayList();
  }

  public Function(String aName) {
    name = aName;
    min = target = max = -1;
    employees = new ArrayList();
  }

} // end of class Function

class Employee {
  public String name;
  public int shifts[];
  public int functions[];
  public boolean capabilities[];
  public double workLoad;

  public Employee(String aName) {
    name = aName;
    shifts = new int[28];
    functions = new int[28];
    capabilities = new boolean[4];
  }

  public Employee(String aName, double workLoad, boolean f1, boolean f2, booleanf3, boolean f4) {
    this(aName);
    this.workLoad = workLoad;
    capabilities[0] = f1;
    capabilities[1] = f2;
    capabilities[2] = f3;
    capabilities[3] = f4;
  }

}


