package tools.frontend;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class SaveDialog extends JDialog {
  private JPanel jPanel1 = new JPanel();
  private JRadioButton jRadioButton1 = new JRadioButton();
  private JRadioButton jRadioButton2 = new JRadioButton();
  private TitledBorder titledBorder1;
  private JRadioButton jRadioButton3 = new JRadioButton();
  private JPanel jPanel2 = new JPanel();
  private JPanel jPanel3 = new JPanel();
  private JTextField jTextField1 = new JTextField();
  private JLabel jLabel1 = new JLabel();
  private GridLayout gridLayout1 = new GridLayout();
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private BorderLayout borderLayout1 = new BorderLayout();

  public MainFrame parent;
  int fileType;
  
  public SaveDialog(Frame parent) {
    super(parent);
    this.parent = (MainFrame)parent;
    this.parent.fileName = null;
    fileType = 1;
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  } // end of SaveDialog(Frame)

  //Component initialization
  private void jbInit() throws Exception {
    titledBorder1 = new TitledBorder("");
    this.setTitle("Save file");
    setResizable(true);
    jRadioButton1.setFont(new java.awt.Font("Dialog", 0, 12));
    jRadioButton1.setText("text/plain");
    jRadioButton1.setSelected(true);
    jRadioButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jRadioButton1_actionPerformed(e);
      }
    });
    jPanel1.setMaximumSize(new Dimension(32767, 40));
    jPanel1.setMinimumSize(new Dimension(308, 40));
    jPanel1.setPreferredSize(new Dimension(308, 40));
    jPanel1.setToolTipText("Datentyp auswhlen");
    jRadioButton2.setFont(new java.awt.Font("Dialog", 0, 12));
    jRadioButton2.setText("text/xml");
    jRadioButton2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jRadioButton2_actionPerformed(e);
      }
    });
    jRadioButton3.setFont(new java.awt.Font("Dialog", 0, 12));
    jRadioButton3.setText("text/html");
    jRadioButton3.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jRadioButton3_actionPerformed(e);
      }
    });
    jPanel3.setMaximumSize(new Dimension(32767, 32));
    jPanel3.setMinimumSize(new Dimension(10, 32));
    jPanel3.setPreferredSize(new Dimension(10, 32));
    jPanel3.setLayout(gridLayout1);
    jTextField1.setMinimumSize(new Dimension(200, 22));
    jTextField1.setPreferredSize(new Dimension(200, 22));
    jLabel1.setFont(new java.awt.Font("Dialog", 0, 12));
    jLabel1.setForeground(Color.black);
    jLabel1.setMaximumSize(new Dimension(120, 18));
    jLabel1.setText(" Dateiname:  ");
    jButton1.setText("Datei speichern");
    jButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        parent.fileName = jTextField1.getText();
        parent.fileType = fileType;
        dispose();
      }
    });
    jButton2.setText("Abbrechen");
    jButton2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        dispose();
      }
    });
    jPanel2.setLayout(borderLayout1);
    jPanel1.add(jRadioButton1, null);
    jPanel1.add(jRadioButton2, null);
    jPanel1.add(jRadioButton3, null);
    this.getContentPane().add(jPanel2, BorderLayout.CENTER);
    jPanel2.add(jLabel1,  BorderLayout.WEST);
    jPanel2.add(jTextField1, BorderLayout.CENTER);
    this.getContentPane().add(jPanel3,  BorderLayout.SOUTH);
    jPanel3.add(jButton1, null);
    jPanel3.add(jButton2, null);
    this.getContentPane().add(jPanel1, BorderLayout.NORTH);
  }

  void jRadioButton1_actionPerformed(ActionEvent e) {
    jRadioButton1.setSelected(true);
    jRadioButton2.setSelected(false);
    jRadioButton3.setSelected(false);
    fileType = 1;
  }

  void jRadioButton2_actionPerformed(ActionEvent e) {
    jRadioButton1.setSelected(false);
    jRadioButton2.setSelected(true);
    jRadioButton3.setSelected(false);
    fileType = 2;
  }

  void jRadioButton3_actionPerformed(ActionEvent e) {
    jRadioButton1.setSelected(false);
    jRadioButton2.setSelected(false);
    jRadioButton3.setSelected(true);
    fileType = 3;
  } // end of jbInit()

} // end of class SaveDialog
