/**
 * Implementation of class "SoftConstraint".
 *
 * Author: Stefan Buettcher
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 **/

package ttclasses;

/*****
 * This is the super class of all soft constraints. It does nothing but
 * implementing the <tt>getType</tt> method.
 *****/
public abstract class SoftConstraint extends Constraint {

  /** Returns <tt>SOFT_CONSTRAINT</tt>. **/
  public final int getType() {
    return SOFT_CONSTRAINT;
  }

} // end of class SoftConstraint

